=== rc/CMakeLists.txt ===

install(
	FILES gtkrc icons4 kdeglobals carbonrc argb-apps.conf
	DESTINATION "${GTK_THEME_DIR}/gtk-2.0"
 )
