=== debian/control ===
Source: carbon-gtk2
Section: unknown
Priority: optional
Maintainer: Rohan Garg <rohan@kde.org>
Build-Depends: cmake,
               debhelper (>= 9),
               libcairo2-dev,
               libgtk2.0-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools
Standards-Version: 3.9.8
Homepage: <insert the upstream URL, if relevant>
Vcs-Git: https://github.com/dci-extras-packaging/carbon-gtk2
Vcs-Browser: https://github.com/dci-extras-packaging/carbon-gtk2

Package: carbon-gtk2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: carbon-gtk2 theme
 This package contains the carbon-gtk2 theme
